%define progname       a2ps.pl
%global momorel 4

Summary: Ascii to PostScript (Perl version)
Name: a2ps.pl
Version: 1.45
Release: %{momorel}m
License: see "a2ps.pl"
Group: Applications/Text
Source: ftp://ftp.iij.ad.jp/pub/IIJ/dist/utashiro/perl/%{name}-%{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl, nkf
BuildArchitectures: noarch
NoSource: 0

%description
This program is perl version of Miguel Santana's a2ps.

%prep
rm -fr $RPM_BUILD_DIR/%{name}-%{version}
mkdir $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
cp %{SOURCE0} .
sed -e s,'/usr/local/bin/perl','/usr/bin/perl', %{name}-%{version} > %{progname}

%install
test %{buildroot} != / && rm -fr %{buildroot}
mkdir -p %{buildroot}/usr/bin

mkdir -p %{buildroot}/usr/bin
install -c -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{progname} \
	%{buildroot}/usr/bin

%clean
rm -fr %{buildroot}

%files
%attr(-,root,root) /usr/bin/%{progname}

%changelog
* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (1.45-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Sep 10 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.45-3m)
- add Requires: nkf (used internally)

* Mon Dec 31 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.45-2k)
- update to 1.45 (license changed)
- change programm name to 'a2ps.pl' in order not to 
  conflict to a2ps-4.13

* Thu May 04 2000 Keizi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- fix Requires

* Fri Jan  7 2000 Hidetomo Hosono <h@kondara.org>
- a2ps.pl-1.44

* Fri Jan  7 2000 Hidetomo Hosono <h@kondara.org>
- y2k problem fix is added.
- Japanese description is added.
- *do not* be nosrc.

* Sat Mar 20 1999 Toru Hoshina<hoshina@best.com>
- rebuild against rawhide 1.3.0.
